using System;
using System.Collections.Generic;
using System.Text;

namespace TransducerCalibrationData
{
    public class TransducerCalibration
    {
        public ulong used;
        public ulong calibrated;
        public ulong index;
        public ulong secGainCoarse;
        public ulong secGainFine;
        public ulong feedbackGainCoarse;
        public ulong feedbackGainFine;
        public ulong feedbackOffset;
        public ulong correctionFactorLeft;
        public ulong correctionFactorRight;

        public TransducerCalibration(ulong used, ulong calibrated, ulong index,
            ulong secGainCoarse, ulong secGainFine,
            ulong feedbackGainCoarse, ulong feedbackGainFine, ulong feedbackOffset,
            ulong correctionFactorLeft, ulong correctionFactorRight)
        {
            this.used = used;
            this.calibrated = calibrated;
            this.index = index;
            this.secGainCoarse = secGainCoarse;
            this.secGainFine = secGainFine;
            this.feedbackGainCoarse = feedbackGainCoarse;
            this.feedbackGainFine = feedbackGainFine;
            this.feedbackOffset = feedbackOffset;
            this.correctionFactorLeft = correctionFactorLeft;
            this.correctionFactorRight = correctionFactorRight;
        }
    }
}
